Subject: bug#78263: [PATCH 1/3] Ignore OSC sequences in term instead of printing them

From: Jared Finder <[email-masked]>
Date: Sun, 01 Jun 2025 22:21:15 -0700

Only minor comments, otherwise the patch generally looks good.

> +(defcustom term-osc-handlers '(("0" . ansi-osc-window-title-handler)
> +                               ("2" . ansi-osc-window-title-handler)
> +                               ("7" . ansi-osc-directory-tracker)
> +                               ("8" . ansi-osc-hyperlink-handler))

The variable ansi-osc-handlers in ansi-osc.el doesn't handle OSC 0 (set 
icon and title), but here it's handled.  I would think the two should be 
identical.  Also what's the rationale for duplicating ansi-osc-handlers 
instead of just adding a new custom variable that tells term to look at 
asci-osc-handlers?

> +(ert-deftest term-ignore-osc()

Style nit: there should be a space between the symbol term-ignore-osc 
and the ().  This should look like a defun of no arguments.

Apologies for taking so long to get to this.

   -- MJF